import { createI18n } from 'vue-i18n';

// 引入各个语言配置文件

import zh from './language/zh';

import en from './language/en';

// 创建vue-i18n实例i18n
const i18n = createI18n({
  legacy: false, // 设置为 false，启用 composition API 模式
  messages: {
    en,
    zh,
  },
  locale: 'en',
});

// 暴露i18n

export default i18n;
